andriod导入v4包导致的错误

  最近升级android studio到版本3.0.1后,想要使用FragmentActivity这个类,导入v4包,发现R文件报错了,也就是找不到的意思。

  如图:导包

此时选中v4包导进去。

 

 

确定之后它一下子就跑到这里来,这是Values文件。查看了一下,还真没有R文件的相关内容。

 

再看下build.gradle,已经显示报错了,本人第一次导入的时候没有报这个错,但四处修改bug之后,再重新导入时它就变成这样,不管删除还是怎样都报错。

 

 看了一个compileSdkVersion 和targetSdkVersion,它们是一样的(如果不一样,一点要修改成一致);

 

 

在implementation 'com.android.support:support-v4:28.0.0-alpha1'前面加上annotationProcessor,没报错了。

 

但R文件还是没有找到。

 

最后我只能将28改为26,然后再clean Project问题就解决了,此时我就可以使用FragmentActivity了。

 

andriod导入v4包导致的错误

全文结束